Skip to content

Run Baseline Aggregate

POST
/api/creative/edit/baseline/aggregate

Run baseline analysis across multiple documents (book, chapter, or project scope).

AggregateBaselineRequest

Request for multi-document baseline analysis.

object
scope
required
Scope
string
Allowed values: document chapter book project
documentId
Any of:
string
outlineNodeId
Any of:
string

Successful Response

BaselineResponse

Full baseline analysis response.

object
stats
required
BaselineStats

Aggregated manuscript stats for the baseline phase.

object
documentId
required
Documentid
string
title
required
Title
string
wordCount
Wordcount
integer
0
paragraphCount
Paragraphcount
integer
0
sentenceCount
Sentencecount
integer
0
chapterCount
Chaptercount
integer
0
avgSentenceLength
Avgsentencelength
number
0
readabilityScore
Readabilityscore
number
0
readabilityLabel
Readabilitylabel
string
""
chapters
required
Chapters
Array<object>
BaselineChapter

Stats for a single chapter/document in the baseline.

object
id
required
Id
string
title
required
Title
string
wordCount
Wordcount
integer
0
sceneCount
Scenecount
integer
0

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object